Skip to main content
`Ctrl`+`K`

# KSPLSQRMonitorResidual

Prints the residual norm, as well as the normal equation residual norm, at each iteration of an iterative solver for the `KSPLSQR` solver

## Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPLSQRMonitorResidual(KSP ksp, PetscInt n, PetscReal rnorm, PetscViewerAndFormat *vf)

Collective

## Input Parameters

- ksp - iterative context

- n - iteration number

- rnorm - 2-norm (preconditioned) residual value (may be estimated).

- vf - The viewer context

## Options Database Key

- -ksp_lsqr_monitor - Activates `KSPLSQRMonitorResidual()`

## See Also

KSP: Linear System Solvers, `KSPLSQR`, `KSPMonitorSet()`, `KSPMonitorResidual()`, `KSPMonitorTrueResidualMaxNorm()`, `KSPLSQRMonitorResidualDrawLG()`

## Level

intermediate

## Location

src/ksp/ksp/impls/lsqr/lsqr.c

## Implementations

KSPLSQRMonitorResidual_LSQR() in src/ksp/ksp/impls/lsqr/lsqr.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages